Name:           python-sourmash
Version:        4.9.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        tools for comparing biological sequences with k-mer sketches

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://sourmash.bio/
Source:         %{pypi_source sourmash}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sourmash' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sourmash
Summary:        %{summary}

%description -n python3-sourmash %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-sourmash all,demo,doc,storage,test


%prep
%autosetup -p1 -n sourmash-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,demo,doc,storage,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sourmash -f %{pyproject_files}


%changelog
%autochangelog